freebsd-dev/contrib/unbound/freebsd-configure.sh
Dag-Erling Smørgrav 439fafc748 Two helper scripts for porting Unbound:
- freebsd-configure.sh runs ./configure with the correct parameters
   and regenerates the lex and yacc code.

 - freebsd-sources.pl untangles the upstream Makefile and generates
   source lists for our Makefiles.

Approved by:	re (blanket)
2013-09-15 00:05:16 +00:00

39 lines
839 B
Bash
Executable File

#!/bin/sh
set -e
error() {
echo "$@" >&2
exit 1
}
unbound=$(dirname $(realpath $0))
cd $unbound
ldnssrc=$(realpath $unbound/../ldns)
[ -f $ldnssrc/ldns/ldns.h ] || error "can't find LDNS sources"
export CFLAGS="-I$ldnssrc"
ldnsbld=$(realpath $unbound/../../lib/libldns)
[ -f $ldnsbld/Makefile ] || error "can't find LDNS build directory"
ldnsobj=$(realpath $(make -C$ldnsbld -V.OBJDIR))
[ -f $ldnsobj/libldns.a ] || error "can't find LDNS object directory"
export LDFLAGS="-L$ldnsobj"
./configure \
--with-conf-file=/etc/unbound/unbound.conf \
--with-run-dir=/var/unbound \
--with-username=unbound
# Regenerate the configuration parser
{
cat <<EOF
#include "config.h"
#include "util/configyyrename.h"
EOF
/usr/bin/flex -L -t util/configlexer.lex
} >util/configlexer.c
/usr/bin/yacc -o util/configparser.c util/configparser.y